#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xB0,0xBC,0xDC,0xB8,0x24,0x9D,0xAD,0xBE,0x29,0x2F,0x27,0x5E,
		0x83,0xA9,0x29,0x94,0x7E,0x45,0x2D,0x7A,0x2F,0xB4,0xB5,0x86,
		0x2F,0x9A,0x92,0x09,0x1F,0x93,0xD5,0x5D,0xB1,0xB2,0xFB,0x05,
		0xE5,0x0F,0x09,0xB7,0xB1,0x01,0xB8,0xF1,0x73,0x20,0x9F,0x8F,
		0x2C,0x39,0x35,0xDE,0x90,0xB6,0x22,0x1A,0xFC,0x48,0x5A,0xF6,
		0xEF,0x01,0xCF,0x0B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
